Index: c/src/exec/rtems/inline/asr.inl
===================================================================
--- c/src/exec/rtems/inline/asr.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/asr.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -18,5 +18,5 @@
 #define __INLINE_ASR_inl
 
-#include <rtems/isr.h>
+#include <rtems/core/isr.h>
 
 /*PAGE
@@ -30,4 +30,5 @@
 )
 {
+  information->is_enabled      = TRUE;
   information->handler         = NULL;
   information->mode_set        = RTEMS_DEFAULT_MODES;
@@ -48,5 +49,5 @@
 {
   rtems_signal_set _signals;
-  ISR_Level              _level;
+  ISR_Level        _level;
 
   _ISR_Disable( _level );
Index: c/src/exec/rtems/inline/attr.inl
===================================================================
--- c/src/exec/rtems/inline/attr.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/attr.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -109,4 +109,17 @@
 }
 
+/*PAGE
+ *
+ *  _Attributes_Is_priority_ceiling
+ *
+ */
+ 
+STATIC INLINE boolean _Attributes_Is_priority_ceiling(
+  rtems_attribute attribute_set
+)
+{
+   return ( attribute_set & RTEMS_PRIORITY_CEILING );
+}
+
 #endif
 /* end of include file */
Index: c/src/exec/rtems/inline/event.inl
===================================================================
--- c/src/exec/rtems/inline/event.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/event.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -25,4 +25,10 @@
 {
   _Event_Sync = FALSE;
+
+  /*
+   *  Register the MP Process Packet routine.
+   */
+ 
+  _MPCI_Register_packet_processor( MP_PACKET_EVENT, _Event_MP_Process_packet );
 }
 
Index: c/src/exec/rtems/inline/message.inl
===================================================================
--- c/src/exec/rtems/inline/message.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/message.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -18,5 +18,5 @@
 #define __MESSAGE_QUEUE_inl
 
-#include <rtems/wkspace.h>
+#include <rtems/core/wkspace.h>
 
 /*PAGE
Index: c/src/exec/rtems/inline/modes.inl
===================================================================
--- c/src/exec/rtems/inline/modes.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/modes.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -54,5 +54,5 @@
 )
 {
-   return ( mode_set & RTEMS_ASR_MASK );
+   return (mode_set & RTEMS_ASR_MASK) == RTEMS_NO_ASR;
 }
 
@@ -67,5 +67,5 @@
 )
 {
-   return ( ( mode_set & RTEMS_PREEMPT_MASK ) == RTEMS_PREEMPT );
+   return (mode_set & RTEMS_PREEMPT_MASK) == RTEMS_PREEMPT;
 }
 
@@ -80,6 +80,5 @@
 )
 {
-  return ((mode_set & (RTEMS_TIMESLICE_MASK|RTEMS_PREEMPT_MASK)) ==
-                  (RTEMS_TIMESLICE|RTEMS_PREEMPT) );
+  return (mode_set & RTEMS_TIMESLICE_MASK) == RTEMS_TIMESLICE;
 }
 
Index: c/src/exec/rtems/inline/rtems/rtems/asr.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/asr.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/asr.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -18,5 +18,5 @@
 #define __INLINE_ASR_inl
 
-#include <rtems/isr.h>
+#include <rtems/core/isr.h>
 
 /*PAGE
@@ -30,4 +30,5 @@
 )
 {
+  information->is_enabled      = TRUE;
   information->handler         = NULL;
   information->mode_set        = RTEMS_DEFAULT_MODES;
@@ -48,5 +49,5 @@
 {
   rtems_signal_set _signals;
-  ISR_Level              _level;
+  ISR_Level        _level;
 
   _ISR_Disable( _level );
Index: c/src/exec/rtems/inline/rtems/rtems/attr.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/attr.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/attr.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -109,4 +109,17 @@
 }
 
+/*PAGE
+ *
+ *  _Attributes_Is_priority_ceiling
+ *
+ */
+ 
+STATIC INLINE boolean _Attributes_Is_priority_ceiling(
+  rtems_attribute attribute_set
+)
+{
+   return ( attribute_set & RTEMS_PRIORITY_CEILING );
+}
+
 #endif
 /* end of include file */
Index: c/src/exec/rtems/inline/rtems/rtems/event.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/event.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/event.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -25,4 +25,10 @@
 {
   _Event_Sync = FALSE;
+
+  /*
+   *  Register the MP Process Packet routine.
+   */
+ 
+  _MPCI_Register_packet_processor( MP_PACKET_EVENT, _Event_MP_Process_packet );
 }
 
Index: c/src/exec/rtems/inline/rtems/rtems/message.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/message.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -18,5 +18,5 @@
 #define __MESSAGE_QUEUE_inl
 
-#include <rtems/wkspace.h>
+#include <rtems/core/wkspace.h>
 
 /*PAGE
Index: c/src/exec/rtems/inline/rtems/rtems/modes.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/modes.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/modes.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -54,5 +54,5 @@
 )
 {
-   return ( mode_set & RTEMS_ASR_MASK );
+   return (mode_set & RTEMS_ASR_MASK) == RTEMS_NO_ASR;
 }
 
@@ -67,5 +67,5 @@
 )
 {
-   return ( ( mode_set & RTEMS_PREEMPT_MASK ) == RTEMS_PREEMPT );
+   return (mode_set & RTEMS_PREEMPT_MASK) == RTEMS_PREEMPT;
 }
 
@@ -80,6 +80,5 @@
 )
 {
-  return ((mode_set & (RTEMS_TIMESLICE_MASK|RTEMS_PREEMPT_MASK)) ==
-                  (RTEMS_TIMESLICE|RTEMS_PREEMPT) );
+  return (mode_set & RTEMS_TIMESLICE_MASK) == RTEMS_TIMESLICE;
 }
 
Index: c/src/exec/rtems/inline/rtems/rtems/status.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/status.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/status.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -45,16 +45,4 @@
 }
 
-/*
- *  _Status_Is_proxy_blocking
- *
- */
-
-STATIC INLINE boolean _Status_Is_proxy_blocking (
-  rtems_status_code code
-)
-{
-  return (code == RTEMS_PROXY_BLOCKING);
-}
-
 #endif
 /* end of include file */
Index: c/src/exec/rtems/inline/rtems/rtems/tasks.inl
===================================================================
--- c/src/exec/rtems/inline/rtems/rtems/tasks.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/rtems/rtems/tasks.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -17,9 +17,4 @@
 #ifndef __RTEMS_TASKS_inl
 #define __RTEMS_TASKS_inl
-
-#include <rtems/msgmp.h>
-#include <rtems/partmp.h>
-#include <rtems/regionmp.h>
-#include <rtems/semmp.h>
 
 /*PAGE
@@ -52,54 +47,8 @@
 /*PAGE
  *
- *  _RTEMS_tasks_Cancel_wait
- *
- */
-
-STATIC INLINE void _RTEMS_tasks_Cancel_wait(
-  Thread_Control *the_thread
-)
-{
-  States_Control state;
-  States_Control remote_state;
-
-  state = the_thread->current_state;
-
-/* XXX do this with the object class */
-  if ( _States_Is_waiting_on_thread_queue( state ) ) {
-    if ( _States_Is_waiting_for_rpc_reply( state ) &&
-          _States_Is_locally_blocked( state ) ) {
-      remote_state = _States_Clear(
-                       STATES_WAITING_FOR_RPC_REPLY | STATES_TRANSIENT,
-                       state
-                     );
-
-      switch ( remote_state ) {
-
-        case STATES_WAITING_FOR_BUFFER:
-          _Partition_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_SEGMENT:
-          _Region_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_SEMAPHORE:
-          _Semaphore_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_MESSAGE:
-          _Message_queue_MP_Send_extract_proxy( the_thread );
-          break;
-      }
-    }
-    _Thread_queue_Extract( the_thread->Wait.queue, the_thread );
-  }
-  else if ( _Watchdog_Is_active( &the_thread->Timer ) )
-    (void) _Watchdog_Remove( &the_thread->Timer );
-}
-
-/*PAGE
- *
- *  _RTEMS_Tasks_Priority_to_Core
+ *  _RTEMS_tasks_Priority_to_Core
  */
  
-STATIC INLINE Priority_Control _RTEMS_Tasks_Priority_to_Core(
+STATIC INLINE Priority_Control _RTEMS_tasks_Priority_to_Core(
   rtems_task_priority   priority
 )
@@ -108,4 +57,18 @@
 }
 
+/*PAGE
+ *
+ *  _RTEMS_tasks_Priority_is_valid
+ *
+ */
+ 
+STATIC INLINE boolean _RTEMS_tasks_Priority_is_valid (
+  rtems_task_priority the_priority
+)
+{
+  return (  ( the_priority >= RTEMS_MINIMUM_PRIORITY ) &&
+            ( the_priority <= RTEMS_MAXIMUM_PRIORITY ) );
+}
+
 #endif
 /* end of include file */
Index: c/src/exec/rtems/inline/status.inl
===================================================================
--- c/src/exec/rtems/inline/status.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/status.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -45,16 +45,4 @@
 }
 
-/*
- *  _Status_Is_proxy_blocking
- *
- */
-
-STATIC INLINE boolean _Status_Is_proxy_blocking (
-  rtems_status_code code
-)
-{
-  return (code == RTEMS_PROXY_BLOCKING);
-}
-
 #endif
 /* end of include file */
Index: c/src/exec/rtems/inline/tasks.inl
===================================================================
--- c/src/exec/rtems/inline/tasks.inl	(revision 7f6a24abdd1793e394e4d5d49de1f4ca0e00297a)
+++ c/src/exec/rtems/inline/tasks.inl	(revision 3a4ae6c210bcc37754767966f1128ae23c77b6af)
@@ -17,9 +17,4 @@
 #ifndef __RTEMS_TASKS_inl
 #define __RTEMS_TASKS_inl
-
-#include <rtems/msgmp.h>
-#include <rtems/partmp.h>
-#include <rtems/regionmp.h>
-#include <rtems/semmp.h>
 
 /*PAGE
@@ -52,54 +47,8 @@
 /*PAGE
  *
- *  _RTEMS_tasks_Cancel_wait
- *
- */
-
-STATIC INLINE void _RTEMS_tasks_Cancel_wait(
-  Thread_Control *the_thread
-)
-{
-  States_Control state;
-  States_Control remote_state;
-
-  state = the_thread->current_state;
-
-/* XXX do this with the object class */
-  if ( _States_Is_waiting_on_thread_queue( state ) ) {
-    if ( _States_Is_waiting_for_rpc_reply( state ) &&
-          _States_Is_locally_blocked( state ) ) {
-      remote_state = _States_Clear(
-                       STATES_WAITING_FOR_RPC_REPLY | STATES_TRANSIENT,
-                       state
-                     );
-
-      switch ( remote_state ) {
-
-        case STATES_WAITING_FOR_BUFFER:
-          _Partition_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_SEGMENT:
-          _Region_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_SEMAPHORE:
-          _Semaphore_MP_Send_extract_proxy( the_thread );
-          break;
-        case STATES_WAITING_FOR_MESSAGE:
-          _Message_queue_MP_Send_extract_proxy( the_thread );
-          break;
-      }
-    }
-    _Thread_queue_Extract( the_thread->Wait.queue, the_thread );
-  }
-  else if ( _Watchdog_Is_active( &the_thread->Timer ) )
-    (void) _Watchdog_Remove( &the_thread->Timer );
-}
-
-/*PAGE
- *
- *  _RTEMS_Tasks_Priority_to_Core
+ *  _RTEMS_tasks_Priority_to_Core
  */
  
-STATIC INLINE Priority_Control _RTEMS_Tasks_Priority_to_Core(
+STATIC INLINE Priority_Control _RTEMS_tasks_Priority_to_Core(
   rtems_task_priority   priority
 )
@@ -108,4 +57,18 @@
 }
 
+/*PAGE
+ *
+ *  _RTEMS_tasks_Priority_is_valid
+ *
+ */
+ 
+STATIC INLINE boolean _RTEMS_tasks_Priority_is_valid (
+  rtems_task_priority the_priority
+)
+{
+  return (  ( the_priority >= RTEMS_MINIMUM_PRIORITY ) &&
+            ( the_priority <= RTEMS_MAXIMUM_PRIORITY ) );
+}
+
 #endif
 /* end of include file */
